#pragma once

#include "../common.h"
#include "camera.h"
#include "primitives.hpp"
#include "kernel/shaderPatcher.hpp"

namespace render
{

void Init();
void Free();

void StartFrame();
void EndFrame();

kernel::ShaderPatcher *GetShaderPatcher();
SceGxmContext *GetContext();

void BindCamera(Camera *camera);
Camera *GetCurrentCamera();


} // namespace render
